#include <string.h>

#include "adulte.h"


//-----------------------------
// Constructeurs/destructeurs
//-----------------------------


Adulte::Adulte() : Personne() {// ici on fait appel au constructeur par dfaut de la classe Personne
	// _profession est initialise avec le constructeur par dfaut de la classe string
}

Adulte::Adulte(const string & prenom, const string & nom, const Date & date, const string &  profession) : Personne(prenom, nom, date) {
  _profession = profession;
}

Adulte::Adulte(const Adulte & a) : Personne(a) {
  _profession = a.getProfession();
}

Adulte::~Adulte() {
}



//-----------------------------
// Selecteurs
//-----------------------------
const string & Adulte::getProfession() const {
  return (_profession);
}

void Adulte::setProfession(const string & profession) {
  _profession = profession;
}



//-----------------------------
// Methodes
//-----------------------------
void Adulte::output(ostream & flux) const {
  flux << "adulte : " << endl;
  Personne::output(flux);
  flux << "Profession : " << _profession;
}

void Adulte::input(istream & flux) {
  Personne::input(flux);
  if (flux==cin){
    cout << "Profession ? " <<endl;
  }
  string tmp;
  flux>>tmp;
  setProfession(tmp);
}


Personne * Adulte::clone()const{
  Personne * res = new Adulte(*this);
  return res;
}






Personne * creerPersonne(){
  return (new Adulte());
}
