
#ifndef POPULATION_H
#define POPULATION_H
#include "adulte.h"
#include "enfant.h"
#include <fstream>

/**
	@author
*/
class Population{
  private :
      Personne ** _contenu;
      int _taille;
  public:
    Population();
    Population(int taille);
    Population(const Population & p);
    ~Population();

    int getTaille() const;
    void setContenu(const Personne * const * t, int taille);
    const Personne * const * getContenu() const;

    const Personne * getPersonne(int i) const;

    void output(ostream & flux=cout) const;
    void input(istream & flux=cin);


    /** Lecture istream*/
    friend istream& operator >> (istream& is, Population& p);
    /** Ecriture ostream */
    friend ostream& operator << (ostream& os, const Population& p);




};

#endif
